> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Reversal

Retrieve details of an existing Reversal for a Payment.

## Path Parameters

## Returns

Returns the corresponding Reversal if it exists.

```bash cURL theme={null}
curl https://production.methodfi.com/payments/pmt_RGACQH7XdfYhC/reversals/rvs_A6bmTtFmxQhGQ \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const reversal = await method
  .payments('pmt_RGACQH7XdfYhC')
  .reversals
  .retrieve('rvs_A6bmTtFmxQhGQ');
```

```python Python theme={null}
reversal = method
  .payments('pmt_RGACQH7XdfYhC')
  .reversals
  .retrieve('rvs_A6bmTtFmxQhGQ')
```

```json theme={null}
{
  "id": "rvs_A6bmTtFmxQhGQ",
  "pmt_id": "pmt_RGACQH7XdfYhC",
  "target_account": "acc_1a9e1fbnJ1f3",
  "trace_id": null,
  "direction": "credit",
  "description": "RETRY PYMT",
  "amount": 2500,
  "fee": null,
  "status": "pending",
  "error": null,
  "estimated_completion_date": "2026-10-07",
  "created_at": "2026-10-02T15:00:00.000Z",
  "updated_at": "2026-10-02T15:00:00.000Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.